## jargoninformatique 1.3.4

=== misc/Makefile ===
# Avant d'exécuter Make il vous faut:
#  sous linux tapez:         ./configure.sh
#  sous windows+mingw tapez: configure.bat

# lis la configuration
OLD_PREFIX:=$(PREFIX)

include config.mak

ifneq ($(OLD_PREFIX),)
ifneq ($(OLD_PREFIX),$(PREFIX))
	PREFIX:=$(OLD_PREFIX)
endif
endif

ifeq ($(SYSTEM),mingw)
RES=$(OBJ_DIR)/xjargon.res
endif

RM = rm -f
CP = cp

SRC_DIR=src

# vpath
vpath %.cpp $(SRC_DIR)
vpath %.c $(SRC_DIR)
vpath %.o $(OBJ_DIR)

# les fichiers objet
OBJS = Fl_Nice.o spath.o main_widget.o gstr.o jargon_lib.o main.o

all: $(EXE) 

%.o : %.cpp src/config.h
	$(CPP) -c $< $(CFLAGS) -o $(OBJ_DIR)/$@

%.o : %.c
	$(CC) -c $< $(CFLAGS) -o $(OBJ_DIR)/$@

$(EXE) : $(OBJS) $(RES)
	$(CPP) $(addprefix $(OBJ_DIR)/, $(OBJS)) $(RES) -o $(EXE) $(LIBS)

clean :
	$(RM) $(addprefix $(OBJ_DIR)/, $(OBJS)) 
	$(RM) $(EXE)

ifeq ($(SYSTEM),darwin)
install:
	tar xfz misc/mac-bundle.tar.gz
	cp -r dict jargoninformatique.app/Contents/MacOS
	$(CP) $(EXE) jargoninformatique.app/Contents/MacOS
endif

ifeq ($(SYSTEM),linux)
distclean: clean
	$(RM) Makefile configure-last config.mak

install :
	mkdir -p $(PREFIX)/bin
	$(CP) $(EXE) $(PREFIX)/bin
	mkdir -p $(PREFIX)/share/jargoninformatique/dict
	$(CP) dict/jargon.dic dict/fig dict/deco dict/general $(PREFIX)/share/jargoninformatique/dict -R
	mkdir -p $(PREFIX)/share/jargoninformatique/misc
	cp misc/logo.png $(PREFIX)/share/jargoninformatique/misc
	mkdir -p $(PREFIX)/share/applications
	cp misc/jargoninformatique.desktop $(PREFIX)/share/applications
	mkdir -p $(PREFIX)/share/pixmaps
	cp misc/icon.png $(PREFIX)/share/pixmaps/jargoninformatique.png
	chmod 755 $(PREFIX)/share/jargoninformatique $(PREFIX)/share/pixmaps/jargoninformatique.png $(PREFIX)/share/applications/jargoninformatique.desktop -R
#manpage
	mkdir -p $(PREFIX)/share/man/man1
	mkdir -p $(PREFIX)/share/man/fr/man1
	$(CP) misc/jargoninformatique.1.gz $(PREFIX)/share/man/man1
	$(CP) misc/jargoninformatique.fr.1.gz $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz
	chmod 644 $(PREFIX)/share/man/man1/jargoninformatique.1.gz $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz

uninstall :
	$(RM) $(PREFIX)/bin/$(EXE)
	$(RM) $(PREFIX)/share/jargoninformatique -fr
	$(RM) $(PREFIX)/share/applications/jargoninformatique.desktop
	$(RM) $(PREFIX)/share/pixmaps/jargoninformatique.png
	$(RM) $(PREFIX)/share/man/man1/jargoninformatique.1.gz
	$(RM) $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz
endif


ifeq ($(SYSTEM),mingw)
$(OBJ_DIR)/xjargon.res : $(SRC_DIR)/xjargon.rc
	windres -i $(SRC_DIR)/xjargon.rc -I rc -o $(OBJ_DIR)/xjargon.res -O coff
endif

## jargoninformatique 1.3.6

=== Makefile ===
# makefile d'aide
all: first
first:
	@echo Avant de faire make il faut lancer ./configure ou fixmingw.bat
clean:
	@echo Clean ok.

=== misc/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 vpath %.o $(OBJ_DIR)
 
 # les fichiers objet
-OBJS = Fl_Nice.o spath.o main_widget.o gstr.o jargon_lib.o main.o
+OBJS = flnice.o spath.o main_widget.o gstr.o jargon_lib.o main.o
 
 all: $(EXE) 
 
@@ -54,26 +54,24 @@
 
 ifeq ($(SYSTEM),linux)
 distclean: clean
-	$(RM) Makefile configure-last config.mak
+	$(RM) Makefile configure-last config.mak 
 
 install :
-	mkdir -p $(PREFIX)/bin
-	$(CP) $(EXE) $(PREFIX)/bin
-	mkdir -p $(PREFIX)/share/jargoninformatique/dict
-	$(CP) dict/jargon.dic dict/fig dict/deco dict/general $(PREFIX)/share/jargoninformatique/dict -R
-	mkdir -p $(PREFIX)/share/jargoninformatique/misc
-	cp misc/logo.png $(PREFIX)/share/jargoninformatique/misc
-	mkdir -p $(PREFIX)/share/applications
-	cp misc/jargoninformatique.desktop $(PREFIX)/share/applications
-	mkdir -p $(PREFIX)/share/pixmaps
-	cp misc/icon.png $(PREFIX)/share/pixmaps/jargoninformatique.png
-	chmod 755 $(PREFIX)/share/jargoninformatique $(PREFIX)/share/pixmaps/jargoninformatique.png $(PREFIX)/share/applications/jargoninformatique.desktop -R
-#manpage
-	mkdir -p $(PREFIX)/share/man/man1
-	mkdir -p $(PREFIX)/share/man/fr/man1
-	$(CP) misc/jargoninformatique.1.gz $(PREFIX)/share/man/man1
-	$(CP) misc/jargoninformatique.fr.1.gz $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz
-	chmod 644 $(PREFIX)/share/man/man1/jargoninformatique.1.gz $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz
+	install -d $(PREFIX)/bin
+	install -s -m 755 $(EXE) $(PREFIX)/bin
+	install -d $(PREFIX)/share/jargoninformatique/dict/fig $(PREFIX)/share/jargoninformatique/dict/deco $(PREFIX)/share/jargoninformatique/dict/general
+	install -m 644 dict/jargon.dic $(PREFIX)/share/jargoninformatique/dict 
+	install -m 644 dict/fig/* $(PREFIX)/share/jargoninformatique/dict/fig
+	install -m 644 dict/deco/* $(PREFIX)/share/jargoninformatique/dict/deco
+	install -m 644 dict/general/* $(PREFIX)/share/jargoninformatique/dict/general
+	install -d $(PREFIX)/share/jargoninformatique/misc
+	install -m 644 misc/logo.png $(PREFIX)/share/jargoninformatique/misc
+	install -d $(PREFIX)/share/applications $(PREFIX)/share/pixmaps
+	install -m 644 misc/jargoninformatique.desktop $(PREFIX)/share/applications
+	install -m 644 misc/icon.png $(PREFIX)/share/pixmaps/jargoninformatique.png
+	install -d $(PREFIX)/share/man/man1 $(PREFIX)/share/man/fr/man1
+	install -m 644 misc/jargoninformatique.1.gz $(PREFIX)/share/man/man1
+	install -m 644 misc/jargoninformatique.fr.1.gz $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz
 
 uninstall :
 	$(RM) $(PREFIX)/bin/$(EXE)

=== debian/changelog ===
jargoninformatique (1.3.6-0ubuntu9) jammy; urgency=medium

  * Move away from dpatch
  * Convert to modern debhelper 13.
  * Update to fltk1.3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Mar 2022 20:41:53 +0100

jargoninformatique (1.3.6-0ubuntu8) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:31 +0100

jargoninformatique (1.3.6-0ubuntu7) bionic; urgency=medium

  * Add build-indep and build-arch rules to fix FTBFS

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 25 Apr 2018 20:52:42 +0200

jargoninformatique (1.3.6-0ubuntu6) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:29:55 +0000

jargoninformatique (1.3.6-0ubuntu5) raring; urgency=low

  * Added missing X11 lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 03 Apr 2013 16:10:16 -0400

jargoninformatique (1.3.6-0ubuntu4) precise; urgency=low

  * debian/patches/fix-ftbfs-armhf-format-security.dpatch:
    Fix FTBFS on armhf (LP: #903112).

 -- Simon Olofsson <simon@olofsson.de>  Mon, 12 Dec 2011 12:11:43 +0100

jargoninformatique (1.3.6-0ubuntu3) karmic; urgency=low

  *  debian/patches/fix-ftbfs-gcc44-eglibc210.dpatch:
     Fix FTBFS with GCC 4.4 and eglibc 2.10 (LP: #461234).

 -- Simon Olofsson <simon@olofsson.de>  Mon, 26 Oct 2009 17:49:29 +0100

jargoninformatique (1.3.6-0ubuntu2) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Aug 2007 08:06:01 +0000

jargoninformatique (1.3.6-0ubuntu1) edgy; urgency=low

  * New upstream release
  * Remove 01_Makefile.dpatch, fixed upstream
  * Bump standards version to 3.7.2
  * Set debhelper version to >= 5.0.0
  * Build-Deps: add libxpm-dev

 -- Gauvain Pocentek <gauvainpocentek@ubuntu.com>  Thu,  6 Jul 2006 08:30:02 +0200

jargoninformatique (1.3.4-0ubuntu1) dapper; urgency=low

  * Initial release
  * 01_Makefile.dpatch: change datas permissions

 -- Gauvain Pocentek <gauvainpocentek@yahoo.fr>  Sun, 11 Dec 2005 16:42:37 +0100

=== debian/control ===
Source: jargoninformatique
Section: doc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gauvain Pocentek <gauvainpocentek@yahoo.fr>
Build-Depends: debhelper-compat (= 13), libfltk1.3-dev, libxpm-dev
Standards-Version: 4.6.0

Package: jargoninformatique
Architecture: any
Depends: ${shlibs:Depends}, jargoninformatique-data
Description: French dictionary of computer vocabulary
 Front End for the French computing dictionary Jargon Informatique.
 .
 This computing dictionary contains more than 10 000 words!
 Its user-friendly interface lets you easily find the words
 you want.
 .
 Homepage: http://jargon.tuxfamily.org

Package: jargoninformatique-data
Architecture: all
Description: Data files for jargoninformatique
 This package contains the dictionary for Jargon Informatique, and 
 its GUI graphic elements.
 .
 Homepage: http://jargon.tuxfamily.org
